Better Qmail on Ubuntu – Support for Xenial (16.04 LTS)

The Better Qmail on Ubuntu packages have been updated to work with Xenial Xerus, the current LTS version of Ubuntu. For more information on the package, check out the previous posts:

Using Better Qmail on Ubuntu? I’d like to hear about your experiences with it in the comments.

5 Comments

  1. Tried to do this on Ubuntu 16.04 but got an error related to hostname. Tried adding a FQDN in /etc/hosts so it would be able to resolve it but still gives error below. There are domains on this server so I cannot change the server hostname to match only one domain I want to receive email for. Not sure if this is a package error or just me being stupid about how hostname works. Cannot proceed now in either case.

    sudo apt install qmail
    … (checked and is pulling from your PPA)…
    Do you want to continue? [Y/n]
    Setting up qmail (1.06-5.14) …

    The hostname -f command returned: $1

    Your system needs to have a fully qualified domain name (fqdn) in
    order to install the var-qmail packages.

    Installation aborted.

    dpkg: error processing package qmail (–configure):
    subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
    qmail
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  2. Me again. I did manage to get an alias to work for fqdn and it completed install. What can you recommend for a step by step configure tutorial. It doesn’t seem to be running now so I guess I need to go through and configure it and then start the services. I don’t see anything on your blog or maybe I’m missing it?

  3. Sorry. Just ignore me. qmail is not going to work for me as it seems to require too much extra effort to get going. There’s no systemd init scripts here. No /etc/init.d service scripts or anything. I don’t want to make them manually or even search the web for working versions. I thought you had a package here I could apt install and be 90% done but this appears to require a whole lot of fiddling and configuring for which I do not have time. I did do a full qmail install back in about 2008 and I recall it was a long process. Today I just need a working mail server without a lot of low level work. So I guess it’s back to something gross like postfix then.

    Sorry to be cluttering up your comments area.

  4. I know this is a super dumb question…

    I’ve got as far as adding the sources thus:

    sudo apt-get install software-properties-common
    sudo add-apt-repository ppa:rbuterbaugh/netqmail
    sudo apt-get update

    But what comes next to actually install netqmail?

    The obvious one didn’t work:

    sudo apt-get install netqmail
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    E: Unable to locate package netqmail

    And I’m very mindful, after trying to install qmail before, of numerous contradictions in the various how-tos out there that are just plain out of date and wrong.

    What’s the next step to get this up and running?

    Thanks.

    • netqmail is actually the source code package and can’t be installed directly. If you run sudo apt-get install qmail, that will install the binary package. To verify that the correct version was installed, run dpkg -s qmail – that should show me as the package maintainer.

Leave a Reply to Ryan Cancel reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

© 2019 Ryan Buterbaugh

Theme by Anders NorenUp ↑